Package ru.bitel.bgbilling.plugins.dispatch.common.bean.condition.base

# Class DispatchCondition

java.lang.Object
ru.bitel.bgbilling.plugins.dispatch.common.bean.condition.base.DispatchCondition

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `DispatchAddressCondition`, `DispatchBalanceCondition`, `DispatchBalanceLimitCondition`, `DispatchContractGroupCondition`, `DispatchContractLabelCondition`, `DispatchContractStatusCondition`, `DispatchCustomDyncodeCondition`, `DispatchEventCondition`, `DispatchFrequencyCondition`, `DispatchSaldoCondition`

public abstract class DispatchCondition extends Object implements Serializable
Базовый класс для условий отправки

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DispatchCondition()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `deserialize(Element element)`
  Десериализация указанного условия отправки из данного элемента
  `protected abstract void`
  `deserializePart(Element element)`
  `String`
  `getClassName()`
  `int`
  `getModuleId()`
  Возвращает код модуля данного условия
  `void`
  `serialize(Element element)`
  Сериализация содержимого условия отправки в указанный элемент
  `protected abstract void`
  `serializePart(Element element)`
  `void`
  `setModuleId(int moduleId)`
  Устанавливает код модуля данного условия

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DispatchCondition

    public DispatchCondition()

- ## Method Details

  - ### setModuleId

    public void setModuleId(int moduleId)
    Устанавливает код модуля данного условия
    Parameters:
      `moduleId` - 0 - если ядро

  - ### getModuleId

    public int getModuleId()
    Возвращает код модуля данного условия
    Returns:
      0 - если ядро

  - ### getClassName

    public String getClassName()

  - ### serialize

    public void serialize(Element element)
    Сериализация содержимого условия отправки в указанный элемент
    Parameters:
      `element` -

  - ### deserialize

    public void deserialize(Element element)
    Десериализация указанного условия отправки из данного элемента
    Parameters:
      `element` -

  - ### serializePart

    protected abstract void serializePart(Element element)

  - ### deserializePart

    protected abstract void deserializePart(Element element)